Package com.destroystokyo.paper

# Enum Class HeightmapType

java.lang.Object
java.lang.Enum<HeightmapType>
com.destroystokyo.paper.HeightmapType

All Implemented Interfaces:
  `Serializable`, `Comparable<HeightmapType>`, `Constable`

@Deprecated public enum HeightmapType extends Enum<HeightmapType>
Deprecated.
Upstream has added their own API for using the game heightmaps. See `HeightMap` and the non-deprecated getHighestBlock methods on World such as `World.getHighestBlockAt(Location, HeightMap)`.
Enumeration of different heightmap types maintained by the server. Generally using these maps is much faster than using an iterative search for a block in a given x, z coordinate.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
Deprecated.
References the highest block in the world.
`LIGHT_BLOCKING`
Deprecated.
The highest block used for lighting in the world.
`SOLID`
Deprecated.
References the highest solid block in a world.
`SOLID_OR_LIQUID`
Deprecated.
References the highest solid or liquid block in a world.
`SOLID_OR_LIQUID_NO_LEAVES`
Deprecated.
References the highest solid or liquid block in a world, excluding leaves.

## Method Summary

Modifier and Type
Method
Description
`static HeightmapType`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static HeightmapType[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LIGHT_BLOCKING

public static final HeightmapType LIGHT_BLOCKING
Deprecated.
The highest block used for lighting in the world. Also the block returned by `World.getHighestBlockYAt(int, int)`}

### ANY

public static final HeightmapType ANY
Deprecated.
References the highest block in the world.

### SOLID

public static final HeightmapType SOLID
Deprecated.
References the highest solid block in a world.

### SOLID_OR_LIQUID

public static final HeightmapType SOLID_OR_LIQUID
Deprecated.
References the highest solid or liquid block in a world.

### SOLID_OR_LIQUID_NO_LEAVES

public static final HeightmapType SOLID_OR_LIQUID_NO_LEAVES
Deprecated.
References the highest solid or liquid block in a world, excluding leaves.

## Method Details

### values

public static HeightmapType[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HeightmapType valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null